package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TRailSolve;

/**
 * 围栏告警处理Mapper接口
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
public interface TRailSolveMapper 
{
    /**
     * 查询围栏告警处理
     * 
     * @param id 围栏告警处理主键
     * @return 围栏告警处理
     */
    public TRailSolve selectTRailSolveById(Integer id);

    /**
     * 查询围栏告警处理列表
     * 
     * @param tRailSolve 围栏告警处理
     * @return 围栏告警处理集合
     */
    public List<TRailSolve> selectTRailSolveList(TRailSolve tRailSolve);

    /**
     * 新增围栏告警处理
     * 
     * @param tRailSolve 围栏告警处理
     * @return 结果
     */
    public int insertTRailSolve(TRailSolve tRailSolve);

    /**
     * 修改围栏告警处理
     * 
     * @param tRailSolve 围栏告警处理
     * @return 结果
     */
    public int updateTRailSolve(TRailSolve tRailSolve);

    /**
     * 删除围栏告警处理
     * 
     * @param id 围栏告警处理主键
     * @return 结果
     */
    public int deleteTRailSolveById(Integer id);

    /**
     * 批量删除围栏告警处理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRailSolveByIds(Integer[] ids);
}
